GET /billing/budget
Monthly budget and alert thresholds
Console session only (signed-in console).
Responses
| Status | Description | Body |
|---|---|---|
200 | Budget (null: none) | Budget |
401 | Session required | |
403 | Administrator required (reserve_admin) | |
503 | Billing unavailable (billing_unavailable) |
Examples
curl
curl -X GET "$GALON_API_BASE/billing/budget" \
-H "Authorization: Bearer $GALON_API_KEY"PUT /billing/budget
Set the monthly budget (email alerts at 50, 80 and 100 %)
Console session only (signed-in console).
Request body
application/json · schema Budget
| Field | Type | Description |
|---|---|---|
monthly_usd_cents | integer | null · required | |
thresholds | array<50 | 80 | 100> |
Responses
| Status | Description | Body |
|---|---|---|
200 | Budget saved | Budget |
422 | budget_invalid, budget_amount_invalid, budget_thresholds_invalid | |
401 | Session required | |
403 | Administrator required (reserve_admin) | |
503 | Billing unavailable (billing_unavailable) |
Examples
curl
curl -X PUT "$GALON_API_BASE/billing/budget" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"monthly_usd_cents": 100}'